#!/bin/sh

# Copyright (C) 2007 Google Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

set -e

TEMP=`getopt -o i:b: -n '$0' -- "$@"`

if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi

# Note the quotes around `$TEMP': they are essential!
eval set -- "$TEMP"

while true; do 
	case "$1" in
		-i) instance="$2"; shift 2;;

		-b) blockdev="$2"; shift 2;;

		--) shift; break;;

		*)  echo "Internal error!"; exit 1;;
	esac
done
if [ -z "$blockdev" ]; then
	echo "Missing -b argument!"
	exit 1
fi

dump -0 -q -f - "$blockdev"
